# HaruDoc::getCurrentEncoder

(PECL haru >= 0.0.1)

HaruDoc::getCurrentEncoder — Get HaruEncoder currently used in the document

### Description

HaruDoc::getCurrentEncoder ( void ) : object

Get the HaruEncoder currently used in the document.

### Parameters

This function has no parameters.

### Return Values

Returns HaruEncoder currently used in the document or `FALSE` if encoder is not set.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setCurrentEncoder() - Set the current encoder for the document